# Coroutine\PostgreSQL->fetchArray

提取一行作为数组

```php
function Coroutine\PostgreSQL->fetchArray( resource $queryResult [, int $row [, int $resulType ]] );

```
返回一个与所提取的行（元组/记录）相一致的数组。如果没有更多行可供提取，则返回 FALSE。

fetchArray() 是 fetchRow() 的扩展版本。在返回的数组中不仅以数字索引方式存放数据（字段编号），默认情况下还用字段名做索引存放数据（字段名）。

row 是想要取得的行（记录）的编号。第一行为 0。

result_type 是可选参数，控制着怎样初始化返回值。resultType 是一个常量，可以有以下取值：SW_PGSQL_ASSOC，SW_PGSQL_NUM 和 SW_PGSQL_BOTH。取值为 SW_PGSQL_ASSOC 时 fetchArray()  返回用字段名作为键值索引的关联数组，取值为 SW_PGSQL_NUM 时用字段编号作为键值，取值为 PGSQL_BOTH 时则同时用两者作为键值。默认值是 SW_PGSQL_BOTH

example:

```php
go(function () {

    $a = new Swoole\Coroutine\PostgreSQL();
    $conn  = $a -> connect ("host=127.0.0.1 port=5432 dbname=test user=wuzhenyu");
    $result = $a->query('SELECT * FROM test;');
    $arr = $a ->fetchArray($result,1,SW_PGSQL_ASSOC);
    var_dump($arr);

});
?>
```
